0

I'm trying to install Accumulo 1.7.2 using these directions. ./bin/build_native_library.sh seems to succeed, and libaccumulo.so winds up in lib/native/libaccumulo.so in the Accumulo install directory.

When I run ./bin/bootstrap_config.sh, I pick "Native" for the Accumulo memory-map type, because the native library build succeeded. The script then complains:

HADOOP_PREFIX not set cannot automatically configure LD_LIBRARY_PATH
Please remember to compile the native libraries using the bin/build_native_library.sh script and to set the LD_LIBRARY_PATH variable in the /home/zk/accumulo/conf/accumulo-env.sh script if needed.

Hadoop is already installed and running, but I don't have a HADOOP_PREFIX set. I tried setting it to the same thing as HADOOP_HOME (that is, my Hadoop install directory), and the script complains that Native libraries could not be found for your system in that directory. What is this script expecting HADOOP_PREFIX to be?

0

HADOOP_PREFIX is the directory which you installed Apache Hadoop. Setting it to be the same thing as HADOOP_HOME would be expected.

If you installed Hadoop by hand, did you also build the native libraries? These are not present by default in the tarballs that the project creates.

For what it's worth, this is not a fatal error. Non native libraries will be used instead (Java implementations) when the native variants are not present.

  • Ah, so is "if the build native script was successful" referring to building the Hadoop native libraries? I didn't do that when I installed Hadoop, although I could. I thought it referred to the Accumulo build_native_library.sh script that I had just run ten seconds prior. – Lindsey Kuper Jul 16 '16 at 23:08
  • You built the Accumulo native libraries. That warning is from Hadoop and about the Hadoop native libraries. – elserj Jul 17 '16 at 12:46
  • The warning isn't from Hadoop, it's from github.com/apache/accumulo/blob/… . But it is about libhadoop.so. I think the two warnings are just confusing to see one right after the other because "Native libraries could not be found for your sytem" on line 397 refers to libhadoop.so, but "Please remember to compile the native libraries" on line 405 must be referring to libaccumulo.so. Thanks for your help. – Lindsey Kuper Jul 17 '16 at 21:49
  • 1
    Ah! I missed that this was coming from an Accumulo script -- I assumed you saw it from Hadoop code (which we don't control in Accumulo). We can definitely improve the warning in bootstrap_config.sh. I'll make an issue on our JIRA (issues.apache.org/jira/browse/ACCUMULO). Thanks! – elserj Jul 18 '16 at 19:51
  • 1

Your Answer

By clicking "Post Your Answer", you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.